# $Revision: 1.61 $, $Date: 2005/04/21 13:44:22 $
#
# Conditional build:
%bcond_without	cups	# don't build CUPS plugin
%bcond_with	gimp	# build GIMP 1.2.x plugin subpackage
%bcond_without	ijs	# don't build IJS server for Ghostscript
#
Summary:	Collection of high-quality printer drivers
Summary(pl):	Zestaw wysokiej jakoci sterownikw do drukarek
Summary(pt_BR):	plugin GIMP-Print para impresso de imagens em alta qualidade
Name:		gimp-print
Version:	4.2.7
Release:	1
License:	GPL
Group:		Applications/Printing
Source0:	http://dl.sourceforge.net/gimp-print/%{name}-%{version}.tar.gz
# Source0-md5:	766be49f44a6a682d857e5aefec414d4
Patch0:		%{name}-info.patch
Patch1:		%{name}-usb.patch
Patch2:		%{name}-info_and_pdf_only.patch
Patch3:		%{name}-opt.patch
Patch4:		%{name}-nolibs.patch
Patch5:		%{name}-genppd-nostatic.patch
Patch6:		%{name}-locale-names.patch
URL:		http://gimp-print.sf.net/
BuildRequires:	autoconf >= 2.53
BuildRequires:	automake
%{?with_cups:BuildRequires:	cups-devel >= 1.1.9}
BuildRequires:	docbook-style-dsssl
BuildRequires:	docbook-utils
BuildRequires:	gettext-devel
%{?with_ijs:BuildRequires:	ghostscript-ijs-devel}
%{?with_gimp:BuildRequires:	gimp-devel >= 1:1.2.3-1.4}
%{?with_gimp:BuildRequires:	gimp-devel < 1.3}
BuildRequires:	gtk+-devel >= 1.2.0
BuildRequires:	libtiff-devel
BuildRequires:	libtool
BuildRequires:	texinfo
BuildRequires:	texinfo-texi2dvi
# requred by texi2dvi when @image is used in .texi
BuildRequires:	tetex-dvips
BuildRequires:	tetex-tex-misc
BuildRequires:	tetex-format-plain
Requires:	gimp >= 1:1.2.2-5
Requires:	%{name}-lib = %{version}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Gimp-Print is a collection of very high quality printer drivers for
UNIX/Linux. The goal of this project is uncompromising print quality
and robustness. Included with this package is the Print plugin for the
GIMP (hence the name), a CUPS driver, and a driver for Ghostscript
that may be compiled into that package. This driver package is
Foomatic-compatible to enable plug and play with many print spoolers.
In addition, various printer maintenance utilities are included. Many
users report that the quality of Gimp-Print on high end Epson Stylus
printers matches or exceeds the quality of the drivers supplied for
Windows and Macintosh.

%description -l pl
Gimp-Print to zbir bardzo wysokiej jakoci sterownikw do drukarek
dla systemw UNIX/Linux. Celem tego projektu jest jak najlepsza jako
wydruku. Doczone do tego pakietu s: wtyczka dla programu GIMP (std
nazwa), sterownik CUPS i sterownik Ghostscriptu. Sterownik umoliwia
bezporedni wspprac z wieloma kolejkami wydruku. Dodatkowo
doczonych jest wiele programw do obsugi drukarki. Wielu
uytkownikw twierdzi ze jako wydrukw na najlepszych drukarkach
Epson Stylus dorwnuje albo nawet przerasta jakoci to, co jest
oferowane przez sterowniki dla Windows i MacOS.

%description -l pt_BR
Este  um plugin para o Gimp que permite a impresso de imagens e
fotos em uma qualidade muito boa em vrias impressoras de jato de
tinta modernas e em algumas lasers. Especialmente nas impressoras
Epsion Stylus a qualidade se equipara a mesma obtida em sistema
operacionais proprietrios, uma vez que a Epson publicou as
especificaes dos protocolos usados por suas impressoras. Outras
marcas de impressoras como HP tambm atingem qualidades altas de
impresso. Esse plugin tambm  capaz de gerar arquivos Postscript que
permite ser usado em qualquer outra impressora.

%package lib
Summary:	gimp-print library
Summary(pl):	Biblioteka gimp-print
Summary(pt_BR):	Bibliotecas dinmicas para impresso de alta qualidade
Group:		Libraries

%description lib
Gimp-print library.

%description lib -l pl
Biblioteka gimp-print.

%description lib -l pt_BR
Esse pacote contm bibliotecas dinmicas de alta qualidade para serem
usados pelo plugin do Gimp gimp-print, pelo driver "stp" do
ghostscript e por drivers especializados do CUPS

%package devel
Summary:	gimp-print development tools
Summary(pl):	Pliki nagwkowe itp. do gimp-print
Summary(pt_BR):	Cabealhos e arquivos de desenvolvimento para o libgimpprint
Group:		Development/Libraries
Requires:	%{name}-lib = %{version}-%{release}

%description devel
Gimp-print development tools and headers.

%description devel -l pl
Nagwki i narzdzia deweloperskie dla Gimp-print.

%description devel -l pt_BR
Este so os arquivos de desenvolvimento para compilar programas com a
biblioteca libgimpprint.

%package static
Summary:	gimp-print static libraries
Summary(pl):	Statyczne biblioteki gimp-print
Summary(pt_BR):	Bibliotecas estticas para desenvolvimento com gimp-print
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Gimp-print static libraries.

%description static -l pl
Biblioteki statyczne Gimp-print.

%description static -l pt_BR
Bibliotecas estticas para desenvolvimento com gimp-print.

%package -n escputil
Summary:	Tool for Epson ink printers
Summary(pl):	Narzdzie do drukarek atramentowych Epson
Summary(pt_BR):	Ferramenta de manuteno de impressoras ESPSON Stylus (R)
Group:		Applications/Printing

%description -n escputil
ESPSON Stylus (R) Printers Maintenance tool. This command line tool
can be used to perform the following tests:
- Clean head
- Nozzle check
- Align Head
- Printer Status
- Ink level
- Printer Identify

%description -n escputil -l pl
Dziaajce z linii polece narzdzie dla drukarek atramentowych Epson.
Moe by uyte do:
- oczyszczenia gowicy
- testu dysz
- wyrwnania gowicy
- odczytu stanu drukarki
- odczytu iloci tuszu
- identyfikacji drukarki.

%description -n escputil -l pt_BR
Ferramenta de manuteno de impressoras ESPSON Stylus (R). Esta
ferramenta de linha de comando  usada para executar as seguintes
tarefas:
- Limpeza de cabeote
- Checagem de Qualidade de impresso
- Alinhamento de cabeote
- Estado da Impressora
- Nvel de tinta
- Identificao da Impressora

%package cups
Summary:	gimp-print as CUPS plugin
Summary(pl):	gimp-print jako wtyczka do CUPS
Summary(pt_BR):	Entradas ppd para serem usadas com o cups
Group:		Applications/Printing
Requires:	%{name}-lib = %{version}-%{release}
Requires:	cups >= 1.1.9

%description cups
Gimp-print as CUPS plugin.

%description cups -l pl
Wtyczka gimp-print dla CUPS.

%description cups -l pt_BR
Este pacote contm os arquivos ppd para se usar o driver Gimp-Print
com o sistema de impresso cups.

%package samples
Summary:	gimp-print samples
Summary(pl):	Przykady do gimp-print
Group:		Applications/Printing

%description samples
Gimp-print samples.

%description samples -l pl
Przykady dla Gimp-print.

%package ijs
Summary:	gimp-print IJS driver for GhostScript
Summary(pl):	Sterownik IJS gimp-print dla GhostScripta
Group:		Applications/Printing

%description ijs
Gimp-print IJS driver for GhostScript.

%description ijs -l pl
Sterownik IJS Gimp-print dla GhostScript.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
#%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1

# STP_PATH_GIMP
tail -n +4372 aclocal.m4 > scripts/stp-gimp.m4

%build
rm -f scripts/{gettext,libtool}.m4
%{__gettextize}
%{__libtoolize}
%{__aclocal} -I scripts -I src/main
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--with%{!?with_cups:out}-cups \
	--with%{!?with_gimp:out}-gimp \
	--with%{!?with_ijs:out}-ijs \
	--enable-escputil \
	--enable-libgimpprint \
	--without-foomatic \
	--with-samples \
	--with-user-guide \
	--without-ghost
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_examplesdir}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

mv -f $RPM_BUILD_ROOT%{_datadir}/gimp-print/doc doc-installed
mv -f doc-installed/manual-html doc-installed/manual
mv -f doc-installed/html doc-installed/user-guide
mv -f $RPM_BUILD_ROOT%{_datadir}/gimp-print/samples \
	$RPM_BUILD_ROOT%{_examplesdir}/%{name}

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post	lib -p /sbin/ldconfig
%postun	lib -p /sbin/ldconfig

%post devel
[ ! -x /usr/sbin/fix-info-dir ] || /usr/sbin/fix-info-dir -c %{_infodir} >/dev/null 2>&1

%postun devel
[ ! -x /usr/sbin/fix-info-dir ] || /usr/sbin/fix-info-dir -c %{_infodir} >/dev/null 2>&1

%if %{with gimp}
%files
%defattr(644,root,root,755)
%attr(755,root,root) %(gimptool --gimpplugindir)/plug-ins/*
%endif

%files lib -f %{name}.lang
%defattr(644,root,root,755)
%doc doc-installed/*.pdf doc-installed/manual doc/FAQ.html AUTHORS README NEWS ChangeLog
%attr(755,root,root) %{_libdir}/libgimpprint.so.*.*.*
# XXX: conflict with libgimpprint-4.3.x (locales too...)
%{_mandir}/man7/gimpprint-*.7*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/gimpprint-config
%attr(755,root,root) %{_libdir}/libgimpprint.so
%{_libdir}/libgimpprint.la
%{_includedir}/gimp-print
%{_aclocaldir}/gimpprint.m4
%{_mandir}/man1/gimpprint-config.1*
%{_mandir}/man3/gimpprint.3*
%{_infodir}/*info*

%files static
%defattr(644,root,root,755)
%{_libdir}/libgimpprint.a

%files -n escputil
%defattr(644,root,root,755)
%{_mandir}/man1/escputil.1*
%attr(755,root,root) %{_bindir}/escputil

%if %{with cups}
%files cups
%defattr(644,root,root,755)
%doc src/cups/README src/cups/command.txt src/cups/commands
%{_sysconfdir}/cups/command.types
%attr(755,root,root) %{_bindir}/cups-calibrate
%{_datadir}/cups/calibrate.ppm
%{_datadir}/cups/model/C/*
%{_datadir}/cups/model/en_GB/*
%lang(da) %{_datadir}/cups/model/da/*
%lang(fr) %{_datadir}/cups/model/fr/*
%lang(nb) %{_datadir}/cups/model/nb/*
%lang(pl) %{_datadir}/cups/model/pl/*
%lang(sv) %{_datadir}/cups/model/sv/*
%attr(755,root,root) %{_prefix}/lib/cups/backend/*
%attr(755,root,root) %{_prefix}/lib/cups/filter/*
%{_mandir}/man8/cups-calibrate.8*
%endif

%files samples
%defattr(644,root,root,755)
%{_examplesdir}/%{name}

%if %{with ijs}
%files ijs
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/ijsgimpprint
%{_mandir}/man1/ijsgimpprint.1*
%endif

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: gimp-print.spec,v $
Revision 1.61  2005/04/21 13:44:22  kolodko
- BR: libtiff-devel

Revision 1.60  2004/07/19 21:47:58  qboosh
- updated to 4.2.7, updated locale-names patch, removed obsolete am18 patch

Revision 1.59  2004/05/15 12:58:02  qboosh
- cups lang fix

Revision 1.58  2004/05/15 12:30:01  qboosh
- added locale-names patch (no->nb), release 2

Revision 1.57  2004/01/27 12:02:06  qboosh
- updated lang() for bokmaal (s/no/nb/)

Revision 1.56  2004/01/20 01:41:50  undefine
- fix %{_libdir}->%{_prefix}/lib in cups filters

Revision 1.55  2004/01/17 14:53:22  qboosh
- added genppd-nostatic patch to link cups stuff dynamically

Revision 1.54  2004/01/17 13:48:30  djurban
- autoupdated

Revision 1.53  2003/12/28 20:23:36  qboosh
- -cups R: -lib

Revision 1.52  2003/12/28 20:10:45  qboosh
- added am18 patch, fixed opt patch for ac 2.58+
- new-style bconds, restored man7 pages (there is conflict with libgimpprint-4.3.x anyway)
- release 2

Revision 1.51  2003/10/11 11:22:05  emes
- added BuildReq: tetex-dvips

Revision 1.50  2003/08/18 08:08:06  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.49  2003/06/18 12:20:00  qboosh
- added gettextize (didn't build using gt 0.12.1 without this)

Revision 1.48  2003/05/25 11:00:51  malekith
- massive attack, adding Source-md5

Revision 1.47  2003/05/25 05:47:54  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.46  2003/04/13 08:32:13  mkochano
- Release 1.1.
= BR: tetex-format-plain.

Revision 1.45  2003/04/11 12:30:09  qboosh
- added opt patch (incl. ac/am fixes) - don't override flags with -O
- added nolibs patch - don't use -lnsl for CUPS plugin
- gimp off by default (working gimp-print for 1.3.x builds from gimp.spec)
- BR: tetex-tex-misc (closes #595)

Revision 1.44  2003/03/01 22:33:00  qboosh
- updated to 4.2.5
- removed obsolete install and escputil-cmdline-overflow patches
- info_and_pdf_only patch disabled (not needed?)
- added missing ijsgimpprint manual
- BR: gimp-devel < 1.3

Revision 1.43  2003/02/28 10:09:17  qboosh
- merged post-1.25 changes (from main and Ra branches)

Revision 1.42  2003/02/27 10:22:03  wiget
- back to 4.2.2 (rev 1.25)

Revision 1.25  2002/09/16 21:24:47  kloczek
- (auto)updated to 4.2.2: mostly bug fixes,
- use new %doc.

Revision 1.24  2002/06/15 11:41:09  ankry
- removed %%lang(en)
- release 2

Revision 1.23  2002/04/27 12:24:56  pioklo
-update  to stable version 4.2.1,STBR

Revision 1.22  2002/04/25 16:23:43  arturs
fixed a small typo

Revision 1.21  2002/04/03 14:13:03  pioklo
- bugfixes, upgrade to 4.2.1-pre4 (version with ijs driver)
- fix %%doc section
- STBR

Revision 1.20  2002/03/22 15:23:10  wiget
- for clearing license issue build ghostscript driver as ijs driver
- upgrade to 4.2.1-pre3 (first version with ijs driver)

Revision 1.19  2002/03/01 11:20:57  wrobell
- changed build requirements due to gimp-print-install.patch
- rel. 4

Revision 1.18  2002/02/23 02:17:44  kloczek
- adapterized.

Revision 1.17  2002/02/22 23:28:57  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.16  2002/02/12 23:37:53  qboosh
- BR: texinfo-texi2dvi
- merged previous info patch into new one
- release 3

Revision 1.15  2002/02/12 15:42:42  kloczek
- release 2: build and include only info and pdf documentation.

Revision 1.14  2002/02/11 23:19:22  qboosh
- added _without_cups bcond, fixed typos
- main package Requires: gimp-print-libs

Revision 1.13  2002/02/11 13:45:58  wiget
more buildrequires

Revision 1.12  2002/02/11 09:16:08  kloczek
- adapterized.

Revision 1.11  2002/02/08 21:27:02  kloczek
- merge translations from Conectiva.

Revision 1.10  2002/02/07 09:55:44  wiget
{Build,}Requires: gimp{-devel,} >= 1:1.2.2-5

Revision 1.9  2002/02/07 09:49:52  qboosh
- fixed pl descriptions, added missing pl summaries, cosmetics

Revision 1.8  2002/02/07 09:35:54  wiget
- Release 1 (all components tested and work)
- added usb.patch (fix detection USB printers with Linux 2.4.x)
- more documentation to -cups subpackage
- fixed %%attr for in -cups subpackage

Revision 1.7  2002/02/06 17:44:51  kloczek
- added info patch.

Revision 1.6  2002/02/06 17:33:47  wiget
cups subpackage requires cups

Revision 1.5  2002/02/06 17:32:05  wiget
- pdf i ps documentation removed (to hard to talk with kloczek) (nice formated documentation with ilustrations now missing)
- html documentation moved do -lib subpackage
- info moved to -devel subpackage

Revision 1.4  2002/02/06 17:26:26  kloczek
- fixed Source url.

Revision 1.3  2002/02/06 17:17:24  kloczek
- cleanups,
- added Source url.

Revision 1.2  2002/02/06 16:35:22  adasi
 - added some descriptions

Revision 1.1  2002/02/06 16:17:12  wiget
- initial release writen from templete.spec
Summary and %%description are absent.
Add this and change release to 1.
